<?php session_start();
include("lib/conexao_sinsweb.php");
include("funcoes.inc");
if ($_SESSION[nome]=="")
{header("Location:empresas.php");}

if ($_SESSION[cnpj]=="")
{header("Location:inicio.php");}

//PEGA OS LOCAIS DE ATENDIMENTO
$sql = "          
        SELECT locais.codigo as id_local, locais.descricao as dsc_nome
        FROM locais          
		ORDER BY locais.descricao"; 
//EXECUTA A QUERY               
$sql = mysql_query($sql);       

$row = mysql_num_rows($sql); ?>

</script>

<html>
<head>
<title>:: Agendamento Homologação ::</title>
<script src="js/MascaraValidacao.js" type="text/javascript"></script>
<script language="JavaScript1.2">
<!--

function sRetorna(docform) 
{
  window.parent.open('inicio.php','dentro');
}

function sAltera() 
{
  <?php $_SESSION[ACAO]='ALTERA'; ?>;
  window.parent.open('empresas.php','dentro');
}

function sConfirma(docform) 
{
 if (sConsiste(docform)) 
    { 
     <?php $_SESSION[ACAO]='AGENDA';?>;
	 docform.submit(); 
    }
}


function sConsiste(df)
{
 if (df.listLocais.value == "0")
    {
    alert("Informe o Local onde será feita a Homologação");
    df.listLocais.focus();
    return false;
    }	

 if (df.ftrabalhador_cpf.value == "")
    {
    alert("Informe o CPF DO TRABALHADOR");
    df.ftrabalhador_cpf.focus();
    return false;
    }	
 if (df.ftrabalhador_cpf.value.length >0)
	{
	if (df.ftrabalhador_cpf.value == "00000000000")
	{
	alert("CPF Inválido!");
	df.ftrabalhador_cpf.focus();
	return false;
	}

	pNro   = df.ftrabalhador_cpf.value.length;
	pNro1  = df.ftrabalhador_cpf.value.substring(0,1);
	pNro2  = df.ftrabalhador_cpf.value.substring(1,2);
	pNro3  = df.ftrabalhador_cpf.value.substring(2,3);
	pNro4  = df.ftrabalhador_cpf.value.substring(3,4);
	pNro5  = df.ftrabalhador_cpf.value.substring(4,5);
	pNro6  = df.ftrabalhador_cpf.value.substring(5,6);
	pNro7  = df.ftrabalhador_cpf.value.substring(6,7);
	pNro8  = df.ftrabalhador_cpf.value.substring(7,8);
	pNro9  = df.ftrabalhador_cpf.value.substring(8,9);
	pNro10 = df.ftrabalhador_cpf.value.substring(9,10);
	pNro11 = df.ftrabalhador_cpf.value.substring(10,11);

	if ( (pNro != 11) )
	{
	alert("CPF Inválido. Digite os 11 números que compoem o CPF");
	df.ftrabalhador_cpf.focus();
	return false;
	}

   soma=10*pNro1+9*pNro2+8*pNro3+7*pNro4+6*pNro5+5*pNro6+4*pNro7+3*pNro8+2*pNro9
   soma=soma-(11*(parseInt(soma/11)))

   if (soma==0)
	  {
	  resultado1=0
	  }
   if (soma==1)
	  {
	  resultado1=0
	  }
   if (soma>1)
	  {
	  resultado1=11-soma
	  }

   if (resultado1!=pNro10)
	  {
	  alert("CPF Inválido. Tente novamente");
	  df.ftrabalhador_cpf.focus();
	  return false;
	  }

   if (resultado1==pNro10)
	  {
	  soma=pNro1*11+pNro2*10+pNro3*9+pNro4*8+pNro5*7+pNro6*6+pNro7*5+pNro8*4+pNro9*3+pNro10*2;
	  soma=soma-(11*(parseInt(soma/11)));
	  if (soma==0)
		 {
		 resultado1=0
		 }
	  if (soma==1)
		 {
		 resultado1=0
		 }
	  if (soma>1)
		 {
		 resultado1=11-soma
		 }
	  if (resultado1!=pNro11)
		 {
		 alert("CPF Inválido! Digite novamente.");
		 df.ftrabalhador_cpf.focus();
		 return false;
		 }
	  }

   }

  if (df.ftrabalhador_nome.value == "")
    {
    alert("Informe o NOME DO TRABALHADOR");
    df.ftrabalhador_nome.focus();
    return false;
    }	

  if (df.fresponsavel_nome.value == "")
    {
    alert("Informe o NOME DO RESPONSÁVEL PELO AGENDAMENTO");
    df.fresponsavel_nome.focus();
    return false;
    }	

  if (df.fresponsavel_telefone.value == "")
    {
    alert("Informe o TELEFONE DO RESPONSAVEL AGENDAMENTO");
    df.fresponsavel_telefone.focus();
    return false;
    }	

  if (df.fresponsavel_tipo.value == "")
    {
    alert("Informe se é a CONTABILIDADE ou a EMPRESA que está fazendo o AGENDAMENTO");
    df.fresponsavel_tipo.focus();
    return false;
    }	




 return true;	 
}

	<!--aqui começa a função para desabilitar a tecla enter
function dasabilitarenter() {
var tecla = event.keyCode;
if ((tecla == 13)) { 
    return false;
}
return tecla;
}
// --> aqui termina a função para desabilitar a tecla enter.
</script>

<style type="text/css">
<!--
.caixa_texto {text-align: left; background-color:FFFFFF; border: 1px solid #666666; font-size:8pt; color: #333333}
a:hover {
	text-decoration: none;
	color: #996600;
}
a:active {
	text-decoration: none;
}
.texto {font-family: Arial, Helvetica, sans-serif;font-size: 9px;font-weight: bold;color: #333333;text-decoration: none;
}
.style3 {color: #CC0000}
.style4 {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	color: #000000;
}

-->
</style>
<link href="css/my.css" rel="stylesheet" type="text/css">
    <style type="text/css">
         input  { font-family: Verdana; font-size: 8pt }
         select { font-family: Verdana; font-size: 8pt }

    </style>

<script language="Javascript">
 function janela()
 {
  vpos=window.open('','vpos','toolbar=yes,location=no,directories=no,status=yes,menubar=yes,scrollbars=yes,resizable=yes,copyhistory=no,top=15,left=50,width=800,height=600'); 
 }

</script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>
<body topmargin="0" onLoad="gerar.ftrabalhador_cpf.focus();">
<table width="766" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td height="19" >&nbsp;</td>
      </tr>
      <tr>
        <td class=titulo_topo width="772" height="19" >Agendamento Homologação OnLine</td>
      </tr>
      <tr>
        <td height="19" ><img src="img/etapa2.gif" width="868" height="77"></td>
  </tr>
      <tr> 
        <td> <div align="center">
          <form name="gerar" action="acoes.php" method="POST" target="dentro" onKeyPress="return dasabilitarenter();">
            <table width="90%" border="0" cellspacing="0">
              <tr>
                <td><hr></td>
              </tr>
              <tr> 
                <td width="71%"><font size="4"><span class="style4">Dados do Empregador</span></font></td>
              </tr>
              <tr> 
                <td><table width="470" border="0" align="center" cellpadding="4" cellspacing="0">
                  <tr> 
                    <td width="46" colspan="0" class="texto">
                      <?=$_SESSION[tipo];?>
                      ......:</td>
                    <td colspan="2"><input name="fCnpj" type="text" class="texto_verm" id="fCnpj" value=<?=$_SESSION[cnpj]; ?> size="14" maxlength="14" readonly="true"></td>
                    <td><label>
                      <input name="tipo_contribuinte" type="radio" id="tip_emp" value="tip_emp" <? if ($_SESSION[tipo] =='CNPJ' or $_SESSION[tipo] =='CEI')
   {print("checked");} ?>>
                      Empregados
                      
                      
  <input type="radio" name="tipo_contribuinte" id="tip_aut" value="tip_aut" <? if ($_SESSION[tipo] =='CPF')
   {print("checked");} ?>>
                      Autônomo</label></td>
                  </tr>
                  <tr> 
                    <td colspan="0" class="texto">Nome.....:</td>
                    <td colspan="3"><input name="sac_nome" 
		    type="text"  
			class="caixa_texto"
			onBlur="javascript:document.forms[0].sac_nome.value=document.forms[0].sac_nome.value.toUpperCase()" 
			value="<?=$_SESSION[nome] ?>" size="68" maxlength="49" readonly="true"></td>
                    </tr>
                  <tr> 
                    <td colspan="0" class="texto">Endere&ccedil;o:</td>
                    <td colspan="3"><input name="sac_endereco" 
		    type="text" 
			class="caixa_texto"
			onBlur="javascript:document.forms[0].sac_endereco.value=document.forms[0].sac_endereco.value.toUpperCase()" 
			value="<?=$_SESSION[endereco]?>" size="68" maxlength="49" readonly="true"></td>
                    </tr>
                  <tr class="texto"> 
                    <td colspan="0" class="texto">N&uacute;mero..:</td>
                    <td width="83"><input name="sac_numero" type="text" class="caixa_texto" value="<?=$_SESSION[numero]?>" size="15" maxlength="14" readonly="true"></td>
                    <td width="71"><div align="right">Complemento:</div></td>
                    <td width="188"><input name="sac_bairro2" 
		type="text" 
		class="caixa_texto"
		onBlur="javascript:document.forms[0].sac_bairro.value=document.forms[0].sac_bairro.value.toUpperCase()" 
		value="<?=$_SESSION[complemento]?>" size="30" maxlength="30" readonly="true"></td>
                  </tr>
                  <tr class="texto"> 
                    <td colspan="0" class="texto">CEP........:</td>
                    <td><input name="sac_cep" 
		    type="text" 
			class="caixa_texto" 
			id="sac_cep2"
		    onKeyPress="return txtBoxFormat(document.gerar, 'sac_cep', '99999-999', event);" 
			value="<?=$_SESSION[cep]?>" 
			size="9" maxlength="9" readonly="true"></td>
                    <td class="texto"><div align="right">Bairro:</div></td>
                    <td><input name="sac_bairro" 
		type="text" 
		class="caixa_texto"
		onBlur="javascript:document.forms[0].sac_bairro.value=document.forms[0].sac_bairro.value.toUpperCase()" 
		value="<?=$_SESSION[bairro]?>" size="30" maxlength="30" readonly="true"></td>
                    </tr>
                  <tr class="texto"> 
                    <td colspan="0" class="texto">Cidade...:</td>
                    <td colspan="3"><input name="sac_cidade" 
		type="text" 
		class="caixa_texto" id="sac_cidade2"
		onBlur="javascript:document.forms[0].sac_cidade.value=document.forms[0].sac_cidade.value.toUpperCase()" 
		value="<?=$_SESSION[cidade]?>" size="57" readonly="true">
                      UF: 
                      <input name="sac_estado" type="text" class="caixa_texto" value=<?=$_SESSION[uf]?> size="2" maxlength="2" readonly="true"></td>
                    </tr>
                  <tr> 
                    <td colspan="0" class="texto">Telefone.:</td>
                    <td><input name="sac_telefone" 
		type="text" 
		class="caixa_texto"
		id="sac_telefone2"
		onBlur="javascript:document.forms[0].sac_cidade.value=document.forms[0].sac_cidade.value.toUpperCase()" 
		value="<?=$_SESSION[telefone]?>" 
		size="16" maxlength="16" readonly="true"></td>
                    <td class="texto"><div align="right">CNAE:</div></td>
                    <td> <div align="left"> 
                      <input name="sac_atividade" type="text" class="caixa_texto" value="<?=$_SESSION[cnae]?>"  size="21" maxlength="11" readonly="true">
                      </div></td>
                    </tr>
                </table></td>
              </tr>
              <tr>
                <td><div align="center">
                  <input type="button" name="Button5" value="Altera Dados Empresa" onClick="sAltera(document.gerar)" style="font-family: Tahoma; font-size: 8 pt; color: #000">
                  <input type="button" name="Button" value="Voltar" onClick="sRetorna(document.gerar)" style="font-family: Tahoma; font-size: 8 pt; color: #000">
                </div></td>
              </tr>
              <tr>
                <td><hr></td>
              </tr>
              <tr>
                <td><font size="4"><span class="style4">Local Atendimento</span></font></td>
              </tr>
              <tr>
                <td><table width="470" border="0" align="center" cellpadding="4" cellspacing="0">
                  <tr>
                    <td width="46" colspan="0" class="texto">Cidade.....:</td>                
                    
                    <td width="1026" colspan="3"><select name="listLocais" onChange="Dados(this.value);">
	    <?php
          echo "<option value=\"0" . "\" $select>" . ':: Selecione a cidade da Homologação' . "</option>";
while($local=mysql_fetch_array($sql)){
          $select = $_SESSION[cidade] == $local['dsc_nome'] ? "selected" : "";
          echo "<option value=\"". $local["id_local"].'-'.$local["dsc_nome"] . "\" $select>" . $local["dsc_nome"] . "</option>";
          }
?>
	     </select></td>
                  </tr>
                </table></td>
              </tr>
              <tr>
                <td><hr></td>
              </tr>
              <tr>
                <td><font size="4"><span class="style4">Dados do Trabalhador</span></font></td>
              </tr>
              <tr>
                <td><table width="470" border="0" align="center" cellpadding="4" cellspacing="0">
                  <tr>
                    <td colspan="0" class="texto">CPF.....:</td>
                    <td colspan="3"><input name="ftrabalhador_cpf" 
		    type="text"  
			class="caixa_texto" id="ftrabalhador_cpf"			
			value="<?=$_SESSION[trabalhador_cpf]?>" size="30" maxlength="49" ></td>
                  </tr>
                  <tr>
                    <td width="46" colspan="0" class="texto">Nome.....:</td>
                    <td width="342" colspan="3"><input name="ftrabalhador_nome" 
		    type="text"  
			class="caixa_texto" id="ftrabalhador_nome"
			onBlur="javascript:document.forms[0].ftrabalhador_nome.value=document.forms[0].ftrabalhador_nome.value.toUpperCase()" 
			value="<?=$_SESSION[trabalhador_nome]?>" size="68" maxlength="49" ></td>
                  </tr>
                  <tr>
                    <td colspan="0" class="texto">Função.....:</td>
                    <td colspan="3"><input name="ftrabalhador_funcao" 
		    type="text"  
			class="caixa_texto" id="ftrabalhador_funcao"
			onBlur="javascript:document.forms[0].ftrabalhador_funcao.value=document.forms[0].ftrabalhador_funcao.value.toUpperCase()" 
			value="<?=$_SESSION[trabalhador_funcao]?>" size="68" maxlength="49" ></td>
                  </tr>
                </table></td>
              </tr>
              <tr>
                <td><hr></td>
              </tr>
              <tr>
                <td><font size="4"><span class="style4">Dados do Respons&aacute;vel pelo Agendamento</span></font></td>
              </tr>
              <tr>
                <td><table width="470" border="0" align="center" cellpadding="4" cellspacing="0">
                  <tr>
                    <td colspan="0" class="texto">Nome.....:</td>
                    <td colspan="3"><input name="fresponsavel_nome" 
		    type="text"  
			class="caixa_texto" id="fresponsavel_nome"
			onBlur="javascript:document.forms[0].fresponsavel_nome.value=document.forms[0].fresponsavel_nome.value.toUpperCase()" 
			value="<?=$_SESSION[responsavel_nome]?>" size="68" maxlength="49" ></td>
                  </tr>
                  <tr>
                    <td width="46" colspan="0" class="texto">Telefone.....:</td>
                    <td width="342" colspan="3"><input name="fresponsavel_telefone" type="text" id="fresponsavel_telefone"
                    onKeyPress="mascara(this,telefone);" value="<?=$_SESSION[responsavel_telefone];?>" size="14" maxlength="14"></td>
                  </tr>
                  <tr>
                    <td colspan="0" class="texto">Tipo.....:</td>
                    <td colspan="3"><input type="radio" name="fresponsavel_tipo" id="tip_aut2" value="ftip_cont" <? if ($_SESSION[responsavel_tipo] =='CONTADOR')
   {print("checked");}?>> 
  Contabilidade
    <input name="fresponsavel_tipo" type="radio" id="tip_emp2" value="ftip_emp" <? if ($_SESSION[responsavel_tipo] =='EMPRESA')
   {print("checked");}?>>
Empresa </td>
                  </tr>
                </table></td>
              </tr>
              <tr>
                <td><hr></td>
              </tr>
              <tr> 
                <td> <div align="center"><span class="texto">
                <input type="button" name="Button4" value="Agendar Homologa&ccedil;&atilde;o" onClick="sConfirma(document.gerar)" style="font-family: Tahoma; font-size: 8 pt; color: #FF0000">
                </span>
<input type="button" name="Button2" value="Voltar" onClick="sRetorna(document.gerar)" style="font-family: Tahoma; font-size: 8 pt; color: #000">
                  </div></td>
              </tr>
            </table>
</form>
            <p align="right">&nbsp; <br>
            </p>
          </div></td>
      </tr>
    </table>
</body>
</html>
    </body>
</html>